Bug 548636

Summary: Update Beaker to 1.4+ for Python2.4 (EL-5)
Product: [Fedora] Fedora EPEL Reporter: Luke Macken <lmacken>
Component: python-beakerAssignee: Kyle VanderBeek <kylev>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: el5CC: fschwarz, kylev, lmacken, paul, pfrields
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-beaker-1.5.4-1.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-30 19:19:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Luke Macken 2009-12-18 00:42:34 UTC
Description of problem:

The TG2 docs make a note that if you're running Python 2.4, you should be using 1.4+ of Beaker.

http://www.turbogears.org/2.1/docs/main/DownloadInstall.html#install-turbogears-2

I also noticed some beaker issues in Fedora infrastructure when using lower versions (1.3).

Comment 1 Bug Zapper 2010-03-15 13:36:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2011-06-02 17:05:33 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2011-09-08 07:57:04 UTC
python-beaker-1.5.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-beaker-1.5.4-1.el5

Comment 4 Fedora Update System 2011-09-08 07:57:19 UTC
python-beaker-1.5.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-beaker-1.5.4-1.fc16

Comment 5 Fedora Update System 2011-09-08 07:57:33 UTC
python-beaker-1.5.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-beaker-1.5.4-1.fc15

Comment 6 Fedora Update System 2011-09-08 07:57:47 UTC
python-beaker-1.5.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-beaker-1.5.4-1.fc14

Comment 7 Fedora Update System 2011-09-08 20:50:28 UTC
Package python-beaker-1.5.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-beaker-1.5.4-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python-beaker-1.5.4-1.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-30 19:18:58 UTC
python-beaker-1.5.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-01 01:29:31 UTC
python-beaker-1.5.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-01 01:54:42 UTC
python-beaker-1.5.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-10-01 01:56:32 UTC
python-beaker-1.5.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.